# Edit a comment on an alert for a customer

Changes the text of a comment. A member can only edit their own comments.

Endpoint: PATCH /organizations/{organizationId}/customers/{customerId}/alerts/{alertId}/comments/{commentId}
Version: 1.0.64
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer

## Path parameters:

  - `organizationId` (string, required)
    Organization ID of the member accessing the resource

  - `customerId` (integer, required)

  - `alertId` (integer, required)

  - `commentId` (integer, required)

## Request fields (application/json):

  - `text` (string, required)

## Response 200:

  - `200` (unknown)
    Default Response

## Response 200 fields (application/json):

  - `id` (integer, required)
    Example: 31

  - `alertId` (integer, required)
    Example: 456

  - `memberId` (integer, required)
    Example: 7

  - `text` (string, required)
    Example: Spoke to the champion; usage dropped during their reorg.

  - `createdDate` (string, required)

  - `updatedDate` (string, required)

